import { Ok, Err } from './types';
/**
 * Create an `Ok`
 * @param payload Payload to carry
 * @returns `Ok` of `payload`
 */
export declare const ok: <Payload>(payload: Payload) => Ok<Payload>;
/**
 * Create an `Err`
 * @param error Error to carry
 * @returns `Err` of `error`
 */
export declare const err: <Error_1>(error: Error_1) => Err<Error_1>;
